package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class StWaterLakeWaterLevel {
    private Long id;

    private Long lakeId;

    private BigDecimal waterLevel;

    private Date captureTime;

    private Integer captureYear;

    private Integer captureMonth;

    private Integer captureDay;

    private String remark;

    private Date createdAt;

    private String createdBy;

    private Date deletedAt;

    private String deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getLakeId() {
        return lakeId;
    }

    public void setLakeId(Long lakeId) {
        this.lakeId = lakeId;
    }

    public BigDecimal getWaterLevel() {
        return waterLevel;
    }

    public void setWaterLevel(BigDecimal waterLevel) {
        this.waterLevel = waterLevel;
    }

    public Date getCaptureTime() {
        return captureTime;
    }

    public void setCaptureTime(Date captureTime) {
        this.captureTime = captureTime;
    }

    public Integer getCaptureYear() {
        return captureYear;
    }

    public void setCaptureYear(Integer captureYear) {
        this.captureYear = captureYear;
    }

    public Integer getCaptureMonth() {
        return captureMonth;
    }

    public void setCaptureMonth(Integer captureMonth) {
        this.captureMonth = captureMonth;
    }

    public Integer getCaptureDay() {
        return captureDay;
    }

    public void setCaptureDay(Integer captureDay) {
        this.captureDay = captureDay;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public String getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(String deletedBy) {
        this.deletedBy = deletedBy == null ? null : deletedBy.trim();
    }
}